Loading...
Searching...
No Matches
NavState.h File Reference

Navigation state composing of attitude, position, and velocity. More...

Go to the source code of this file.

## Classes

class | gtsam::NavState
| Navigation state: Pose (rotation, translation) + velocity NOTE(frank): it does not make sense to make this a Lie group, but it is a 9D manifold. More...
struct | gtsam::traits< NavState >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

typedef Vector3 | gtsam::Velocity3
| Velocity is currently typedef'd to Vector3.

## Detailed Description

Navigation state composing of attitude, position, and velocity.

Author
  Frank Dellaert

Date
  July 2015